#!/bin/bash

CMD="ANSIBLE_RETRY_FILES_ENABLED=0 ansible-playbook -i hosts recette.yml"

for arg in "$@"; do
    if [[ $arg = "local" ]]; then
        CMD="$CMD --connection=local --inventory 127.0.0.1, --limit 127.0.0.1"
    fi
    if [[ $arg = "check" ]]; then
	CMD="$CMD --syntax-check"
    fi
done

eval $CMD
